Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.mysql
Interface MySqlDdlConstants

All Superinterfaces:
  DdlConstants

All Known Implementing Classes:
  MySqlDdlParser

    public interface MySqlDdlConstants

extends DdlConstants

Author:
  blafond

Nested Class Summary
`static interface` | `MySqlDdlConstants.MySqlDataTypes`
`static interface` | `MySqlDdlConstants.MySqlStatementStartPhrases`

Nested classes/interfaces inherited from interface org.modeshape.sequencer.ddl.DdlConstants
`DdlConstants.AstNodeNames, DdlConstants.DataTypes, DdlConstants.DropBehavior, DdlConstants.MatchType, DdlConstants.Problems, DdlConstants.ReferencialAction, DdlConstants.StatementStartPhrases`

Field Summary
`static String[]` | `CUSTOM_KEYWORDS`
`static String[]` | `DTYPE_BIGINT`
`static String[]` | `DTYPE_BINARY`
`static String[]` | `DTYPE_BLOB`
`static String[]` | `DTYPE_BOOL`
`static String[]` | `DTYPE_BOOLEAN`
`static String[]` | `DTYPE_DATETIME`
`static String[]` | `DTYPE_DOUBLE`
`static String[]` | `DTYPE_ENUM`
`static String[]` | `DTYPE_FIXED`
`static String[]` | `DTYPE_LONGBLOB`
`static String[]` | `DTYPE_LONGTEXT`
`static String[]` | `DTYPE_MEDIUMBLOB`
`static String[]` | `DTYPE_MEDIUMINT`
`static String[]` | `DTYPE_MEDIUMTEXT`
`static String[]` | `DTYPE_NATIONAL_VARCHAR`
`static String[]` | `DTYPE_SET`
`static String[]` | `DTYPE_TEXT`
`static String[]` | `DTYPE_TINYBLOB`
`static String[]` | `DTYPE_TINYINT`
`static String[]` | `DTYPE_TINYTEXT`
`static String[]` | `DTYPE_VARBINARY`
`static String[]` | `DTYPE_YEAR`
`static String[]` | `STMT_ALTER_ALGORITHM`
`static String[]` | `STMT_ALTER_DATABASE`
`static String[]` | `STMT_ALTER_DEFINER`
`static String[]` | `STMT_ALTER_EVENT`
`static String[]` | `STMT_ALTER_FUNCTION`
`static String[]` | `STMT_ALTER_IGNORE_TABLE`
`static String[]` | `STMT_ALTER_LOGFILE_GROUP`
`static String[]` | `STMT_ALTER_OFFLINE_IGNORE_TABLE`
`static String[]` | `STMT_ALTER_OFFLINE_TABLE`
`static String[]` | `STMT_ALTER_ONLINE_IGNORE_TABLE`
`static String[]` | `STMT_ALTER_ONLINE_TABLE`
`static String[]` | `STMT_ALTER_PROCEDURE`
`static String[]` | `STMT_ALTER_SCHEMA`
`static String[]` | `STMT_ALTER_SERVER`
`static String[]` | `STMT_ALTER_SQL_SECURITY`
`static String[]` | `STMT_ALTER_TABLESPACE`

Fields inherited from interface org.modeshape.sequencer.ddl.DdlConstants
`ALTER, CHECK, COLUMN, COMMA, CONSTRAINT, CONSTRAINT_C, CONSTRAINT_FK, CONSTRAINT_PK, CONSTRAINT_UC, CREATE, DECLARE, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_UNDEFINED, DEFAULT_ID_USER, DEFAULT_TERMINATOR, DELETE, DROP, FOREIGN, FOREIGN_KEY, GIGA, GRANT, INDEX, INSERT, KEY, KILO, L_PAREN, L_SQUOTE, MEGA, MISSING_TERMINATOR_NODE_LITERAL, OFF, ON, PERIOD, PRIMARY, PRIMARY_KEY, R_PAREN, REVOKE, SCHEMA, SELECT, SEMICOLON, SET, SPACE, SQL_92_RESERVED_WORDS, TABLE, UNIQUE, UPDATE, VIEW`

Field Detail

### CUSTOM_KEYWORDS

    static final String[] CUSTOM_KEYWORDS

### STMT_ALTER_ALGORITHM

    static final String[] STMT_ALTER_ALGORITHM

### STMT_ALTER_DATABASE

    static final String[] STMT_ALTER_DATABASE

### STMT_ALTER_DEFINER

    static final String[] STMT_ALTER_DEFINER

### STMT_ALTER_EVENT

    static final String[] STMT_ALTER_EVENT

### STMT_ALTER_FUNCTION

    static final String[] STMT_ALTER_FUNCTION

### STMT_ALTER_LOGFILE_GROUP

    static final String[] STMT_ALTER_LOGFILE_GROUP

### STMT_ALTER_PROCEDURE

    static final String[] STMT_ALTER_PROCEDURE

### STMT_ALTER_SCHEMA

    static final String[] STMT_ALTER_SCHEMA

### STMT_ALTER_SERVER

    static final String[] STMT_ALTER_SERVER

### STMT_ALTER_SQL_SECURITY

    static final String[] STMT_ALTER_SQL_SECURITY

### STMT_ALTER_TABLESPACE

    static final String[] STMT_ALTER_TABLESPACE

### STMT_ALTER_IGNORE_TABLE

    static final String[] STMT_ALTER_IGNORE_TABLE

### STMT_ALTER_ONLINE_TABLE

    static final String[] STMT_ALTER_ONLINE_TABLE

### STMT_ALTER_OFFLINE_TABLE

    static final String[] STMT_ALTER_OFFLINE_TABLE

### STMT_ALTER_ONLINE_IGNORE_TABLE

    static final String[] STMT_ALTER_ONLINE_IGNORE_TABLE

### STMT_ALTER_OFFLINE_IGNORE_TABLE

    static final String[] STMT_ALTER_OFFLINE_IGNORE_TABLE

### DTYPE_NATIONAL_VARCHAR

    static final String[] DTYPE_NATIONAL_VARCHAR

### DTYPE_TINYINT

    static final String[] DTYPE_TINYINT

### DTYPE_MEDIUMINT

    static final String[] DTYPE_MEDIUMINT

### DTYPE_BIGINT

    static final String[] DTYPE_BIGINT

### DTYPE_FIXED

    static final String[] DTYPE_FIXED

### DTYPE_BOOL

    static final String[] DTYPE_BOOL

### DTYPE_BOOLEAN

    static final String[] DTYPE_BOOLEAN

### DTYPE_DOUBLE

    static final String[] DTYPE_DOUBLE

### DTYPE_BINARY

    static final String[] DTYPE_BINARY

### DTYPE_VARBINARY

    static final String[] DTYPE_VARBINARY

### DTYPE_BLOB

    static final String[] DTYPE_BLOB

### DTYPE_TINYBLOB

    static final String[] DTYPE_TINYBLOB

### DTYPE_TINYTEXT

    static final String[] DTYPE_TINYTEXT

### DTYPE_TEXT

    static final String[] DTYPE_TEXT

### DTYPE_MEDIUMBLOB

    static final String[] DTYPE_MEDIUMBLOB

### DTYPE_MEDIUMTEXT

    static final String[] DTYPE_MEDIUMTEXT

### DTYPE_LONGBLOB

    static final String[] DTYPE_LONGBLOB

### DTYPE_LONGTEXT

    static final String[] DTYPE_LONGTEXT

### DTYPE_ENUM

    static final String[] DTYPE_ENUM

### DTYPE_SET

    static final String[] DTYPE_SET

### DTYPE_DATETIME

    static final String[] DTYPE_DATETIME

### DTYPE_YEAR

    static final String[] DTYPE_YEAR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.